View Issue Details

IDProjectCategoryView StatusLast Update
0014433LazarusIDEpublic2018-12-11 01:43
ReporterEddyAssigned ToOndrej Pokorny 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version 
Summary0014433: IDE designer windows hidden under left-aligned taskbar
DescriptionSome users (like me) have the windows taskbar left aligned and always visible (more available shortcut icons, open windows conveniently aligned, more vertical workspace etc.).
When Lazarus opens up the first time, it's designer windows are not aligned with the 'visible desktop', but with the available screen. I.e. half of the property window is hidden under the left-aligned taskbar and the left side of the menu bar is also partially hidden underneath.
Tested with Windows Vista.

This is a minor problem: after rearranging the designer windows it's ok (until the next fresh install or change of Lazarus working folder).
TagsNo tags attached.
Fixed in Revision54364
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0010227 resolvedOndrej Pokorny Top of Lazarus interface covered by taskbar 
related to 0034650 new Part of UI covered by a taskbar when it maximized 

Activities

Eddy

2015-02-17 15:13

reporter   ~0081169

Retested with 1.4RC1.
Problem still exists.

Alexey Tor.

2017-03-08 08:13

reporter   ~0098736

Checked 1.7. OI window: no problem; MainBar window: issue exists. but it's very minor (can move window, it's pos saved to history).
Can close "no change needed"

Ondrej Pokorny

2017-03-08 09:42

developer   ~0098739

Why not to fix if it's easy

Issue History

Date Modified Username Field Change
2009-08-25 18:21 Eddy New Issue
2009-08-25 18:21 Eddy Widgetset => Win32/Win64
2009-08-28 13:46 Paul Ishenin LazTarget => post 1.2
2009-08-28 13:46 Paul Ishenin Status new => acknowledged
2012-10-02 00:40 Juha Manninen Relationship added related to 0010227
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4
2014-09-10 19:42 Juha Manninen LazTarget 1.4 => -
2015-02-17 15:13 Eddy Note Added: 0081169
2017-03-08 08:13 Alexey Tor. Note Added: 0098736
2017-03-08 09:40 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-03-08 09:40 Ondrej Pokorny Status acknowledged => assigned
2017-03-08 09:42 Ondrej Pokorny Fixed in Revision => 54364
2017-03-08 09:42 Ondrej Pokorny Note Added: 0098739
2017-03-08 09:42 Ondrej Pokorny Status assigned => resolved
2017-03-08 09:42 Ondrej Pokorny Resolution open => fixed
2018-12-11 01:43 Juha Manninen Relationship added related to 0034650